compact3
javax.tools

## Enum DocumentationTool.Location

- java.lang.Object
- - java.lang.Enum<DocumentationTool.Location>
  - - javax.tools.DocumentationTool.Location

- All Implemented Interfaces:
    Serializable, Comparable<DocumentationTool.Location>, JavaFileManager.Location
  Enclosing interface:
    DocumentationTool

      public static enum DocumentationTool.Location
      extends Enum<DocumentationTool.Location>
      implements JavaFileManager.Location

  Locations specific to `DocumentationTool`.
  See Also:
    `StandardLocation`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOCLET_PATH` | Location to search for doclets.
    `DOCUMENTATION_OUTPUT` | Location of new documentation files.
    `TAGLET_PATH` | Location to search for taglets.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Gets the name of this location.
    `boolean` | `isOutputLocation()` | Determines if this is an output location.
    `static DocumentationTool.Location` | `valueOf(String name)` | Returns the enum constant of this type with the specified name.
    `static DocumentationTool.Location[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOCUMENTATION_OUTPUT

          public static final DocumentationTool.Location DOCUMENTATION_OUTPUT

      Location of new documentation files.

    - #### DOCLET_PATH

          public static final DocumentationTool.Location DOCLET_PATH

      Location to search for doclets.

    - #### TAGLET_PATH

          public static final DocumentationTool.Location TAGLET_PATH

      Location to search for taglets.

  - ### Method Detail

    - #### values

          public static DocumentationTool.Location[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DocumentationTool.Location c : DocumentationTool.Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DocumentationTool.Location valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Description copied from interface: `JavaFileManager.Location`
      Gets the name of this location.
      Specified by:
        `getName` in interface `JavaFileManager.Location`
      Returns:
        a name

    - #### isOutputLocation

          public boolean isOutputLocation()

      Description copied from interface: `JavaFileManager.Location`
      Determines if this is an output location. An output location is a location that is conventionally used for output.
      Specified by:
        `isOutputLocation` in interface `JavaFileManager.Location`
      Returns:
        true if this is an output location, false otherwise

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.